package auth

import (
	"context"

	"git.i2edu.net/i2/go-zero/core/logx"
	"git.i2edu.net/i2/i2-bill-api/internal/svc"
)

type HelloLogic struct {
	logx.Logger
	ctx    context.Context
	svcCtx *svc.ServiceContext
}

func NewHelloLogic(ctx context.Context, svcCtx *svc.ServiceContext) HelloLogic {
	return HelloLogic{
		Logger: logx.WithContext(ctx),
		ctx:    ctx,
		svcCtx: svcCtx,
	}
}

func (l *HelloLogic) Hello() error {
	// todo: add your logic here and delete this line
	// l.svcCtx.Wechat.GetAccessToken()
	// _, err := l.svcCtx.Transformer.GetUser(l.ctx, &transform.UserRequest{Phone: "123123"})
	// if err != nil {
	// 	logx.Error(err)
	// }
	l.svcCtx.Wechat.GenQrCode("1234", "pages/stuInput/stuInput")
	return nil
}
